<?php
/*
 * @version			$Id: index.php 10381 2008-06-01 03:35:53Z $
 * @package			Carteasy
 * @copyright		Copyright (C) 2005 - 2011 Wlanium
 * @license			proprietary
 * @author			Thomas Bartelt
 * Carteasy is a web shop system
 */

include_once './core/base/edit.class.php';

class ItemTypeDefinition_Edit extends Base_Edit {

	public function __construct($base_object, $id = false) {
		parent::__construct($base_object, $id);
	} // end __construct

	public function get_data($id = false) {
		if ($id) {
			$this->set_id($id);
		}

		return $this->select_one('item_type_definitions');
	} // end get_data

	public function delete_data($id = false) {
		if ($id) {
			$this->set_id($id);
		}

		return $this->delete_one('item_type_definitions');
	} // end delete

	public function create($data) {
		return $this->create_one('item_type_definitions', $data);
	} // end create

	public function update($data, $id = false) {
		if ($id) {
			$this->set_id($id);
		}

		return $this->update_one('item_type_definitions', $data);
	} // end update

}// end ItemTypeDefinition_Edit

/* EOF */